## org.exist.xupdate.test
Class XUpdateTestCases

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xupdate.test.XUpdateTestCases

All Implemented Interfaces:
  junit.framework.Test

public class XUpdateTestCases
extends junit.framework.TestCase

Author:
  berlinge-to To change this generated comment edit the template variable "typecomment": Window>Preferences>Java>Templates. To enable and disable the creation of type comments go to Window>Preferences>Java>Code Generation.

Constructor Summary
`XUpdateTestCases(java.lang.String name, XUpdateTest test)`

Method Summary
`void` `append()`
`void` `appendAttribute()`
`void` `appendChild()`
`void` `conditional()`
`void` `insertafter_big()`
`void` `insertafter()`
`void` `insertbefore()`
`void` `namespaces()`
`void` `remove()`
`void` `rename_including_namespace()`
`void` `rename_root_element()`
`void` `replace()`
`void` `update()`
`void` `variables()`
`void` `whitespace()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XUpdateTestCases

    public XUpdateTestCases(java.lang.String name,
                            XUpdateTest test)

Method Detail

### append

    public void append()
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### insertafter

    public void insertafter()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### insertbefore

    public void insertbefore()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### remove

    public void remove()
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### update

    public void update()
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### appendAttribute

    public void appendAttribute()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### appendChild

    public void appendChild()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### insertafter_big

    public void insertafter_big()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### conditional

    public void conditional()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### variables

    public void variables()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### replace

    public void replace()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### whitespace

    public void whitespace()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### namespaces

    public void namespaces()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### rename_root_element

    public void rename_root_element()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### rename_including_namespace

    public void rename_including_namespace()
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright (C) Wolfgang Meier. All rights reserved.